textures/ut42_flood/caulk
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/ut42_flood/032lig20rb
{
	qer_editorimage textures/ut42_flood/032lig20rb.tga
	q3map_lightimage textures/ut42_flood/032lig20r_blend.tga
	surfaceparm nodlight
	surfaceparm nomarks
	q3map_surfacelight 250
	{
		map textures/ut42_flood/032lig20rb.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		tcGen lightmap
	}
	{
		map textures/ut42_flood/032lig20r_blend.tga
		blendfunc gl_one_minus_dst_color gl_one
	}
}

textures/ut42_flood/opipe_o
{
	surfaceparm nodamage
	surfaceparm nolightmap
	q3map_surfacelight 250
	q3map_lightSubdivide 1024
	{
		map textures/ut42_flood/opipe_o.tga
	}
	{
		map textures/ut42_flood/platform_tint4.jpg
		tcmod scale .5 .5
		tcgen environment
		blendFunc add
		rgbGen vertex
	}
}

textures/ut42_flood/wall02_light
{
	qer_editorimage textures/ut42_flood/wall02_light.jpg
	polygonOffset
	surfaceparm nodlight
	surfaceparm nodamage
	q3map_lightsubdivide 128
	q3map_surfaceLight 250
	{
		map textures/ut42_flood/wall02_light.jpg
	}
	{
		map $lightmap
		blendfunc GL_ONE GL_ONE
		rgbgen identity
	}
}

textures/ut42_flood/trim02
{
	qer_editorimage textures/ut42_flood/trim02.jpg
	q3map_lightimage textures/ut42_flood/trim02_glow.jpg
	surfaceparm nodlight
	surfaceparm nomarks
	q3map_surfacelight 250
	{
		map textures/ut42_flood/trim02.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		tcGen lightmap
	}
	{
		map textures/ut42_flood/trim02_glow.jpg
		blendfunc gl_one_minus_dst_color gl_one
	}
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/ut42_flood/plat
{
	surfaceparm slick
	surfaceparm nodamage
	qer_editorimage textures/ut42_flood/platform_tint2.jpg
	{
		map textures/ut42_flood/platform_tint2.jpg
		tcGen environment
	}
	{
		map textures/ut42_flood/plat.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen identity
		tcmod scale 2 2
	}
	{
		map $lightmap
		rgbgen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/ut42_flood/sor_lake1
{
	qer_editorimage textures/ut42_flood/lake1_ft.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 250
	surfaceparm sky
	q3map_sun 1 1 1 250 240 100
	skyparms textures/ut42_flood/lake1 - -
}

textures/ut42_flood/flour_slick
{
	surfaceparm slick
	surfaceparm nodamage
	{
		map textures/ut42_flood/flour_slick.jpg
	}
	{
		map textures/ut42_flood/platform_tint3.jpg
		tcmod scale .5 .5
		tcgen environment
		blendFunc add
		rgbGen vertex
	}
}

textures/ut42_flood/mp_gritty
{
	qer_editorimage textures/ut42_flood/gritty-residue_ft.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 250
	surfaceparm sky
	q3map_sun 1 1 1 250 240 100
	skyparms textures/ut42_flood/gritty-residue - -
}

textures/flood3/Light_01
{
	surfaceparm nodamage
	surfaceparm nolightmap
	q3map_surfacelight 1500
	q3map_lightSubdivide 1024
	{
		map textures/flood3/Light_01.jpg
	}
	{
		map textures/flood3/tint.jpg
		tcmod scale .5 .5
		tcgen environment
		blendFunc add
		rgbGen vertex
	}
}

textures/flood3/Light_02
{
	surfaceparm nodamage
	surfaceparm nolightmap
	q3map_surfacelight 1500
	q3map_lightSubdivide 1024
	{
		map textures/flood3/Light_02.jpg
	}
	{
		map textures/flood3/tint.jpg
		tcmod scale .5 .5
		tcgen environment
		blendFunc add
		rgbGen vertex
	}
}

textures/flood3/hip_grimm
{
	qer_editorimage textures/flood3/grimmnight_ft.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 250
	surfaceparm sky
	q3map_sun 1 1 1 250 240 100
	skyparms textures/flood3/grimmnight - -
}

textures/flood3/Flooricypart3_01
{
	surfaceparm slick
	surfaceparm nodamage
	{
		map textures/flood3/Flooricypart3_01.jpg
	}
	{
		map textures/flood3/tint.jpg
		tcmod scale .5 .5
		tcgen environment
		blendFunc add
		rgbGen vertex
	}
}

textures/flood3/water
{
	qer_trans .5
	q3map_globaltexture
	q3map_surfacelight 1000
	surfaceparm trans
	surfaceparm nonsolid
//	surfaceparm nolightmap
	surfaceparm water
	cull disable
	deformVertexes wave 64 sin .25 .25 0 .5
	{
		map textures/flood3/water.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{
		map textures/flood3/water.jpg
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity
	}
}

textures/ut42_flood/nodrawnonsolid
{
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nodraw
}

textures/ut42_flood/slick
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slick
}

textures/ut42_flood/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/ut42_flood/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}